Bug 41845 - Deleting validated rows does not delete validation circles.
Summary: Deleting validated rows does not delete validation circles.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Validity
  Show dependency treegraph
 
Reported: 2011-10-16 15:05 UTC by Allan Jacobs
Modified: 2019-10-12 02:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Input spreadsheet. Rows have not yet been deleted. (9.30 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-10-16 15:05 UTC, Allan Jacobs
Details
Output, after deletion of rows marked invalid. (9.04 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-10-16 15:06 UTC, Allan Jacobs
Details
Screenshot. (77.80 KB, image/png)
2011-10-16 15:07 UTC, Allan Jacobs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Allan Jacobs 2011-10-16 15:05:17 UTC
Created attachment 52393 [details]
Input spreadsheet.  Rows have not yet been deleted.

The Data Detective option to mark invalid cells draws circles around invalid values.  Deletion of rows in a spreadsheet that have been validated this way does not make the circles disappear.

Procedure:

Copy ValidatorDeletionInput.ods to ValidatorDeletionOutput.ods.
Select Range A6:C7
Edit->Delete Cells...
Delete the entire row.
Comment 1 Allan Jacobs 2011-10-16 15:06:03 UTC
Created attachment 52394 [details]
Output, after deletion of rows marked invalid.
Comment 2 Allan Jacobs 2011-10-16 15:07:27 UTC
Created attachment 52395 [details]
Screenshot.
Comment 3 tester8 2011-11-13 11:48:20 UTC
Reproduced with

LO 3.4.4
Ubuntu 10.04.3 x86
Linux 2.6.32-35-generic Russian UI
Comment 4 Björn Michaelsen 2011-12-23 12:33:41 UTC Comment hidden (obsolete)
Comment 5 tester8 2011-12-29 15:02:12 UTC
LOdev 3.5.0beta2 
4ca392c-760cc4d-f39cf3d-1b2857e-60db978
Ubuntu 10.04.3 x86
Linux 2.6.32-37-generic Russian UI

Still reproduced.
Comment 6 QA Administrators 2014-06-25 17:38:01 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2015-07-18 17:42:54 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2015-10-16 20:08:26 UTC
Still repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 186f32f63434e16ff5776251657f902d5808ed3d
TinderBox: Win-x86@39, Branch:master, Time: 2015-10-16_09:42:47
Locale: en-US (fi_FI)
Comment 9 QA Administrators 2016-11-08 11:14:46 UTC Comment hidden (obsolete)
Comment 10 Thomas Lendo 2018-10-11 22:28:14 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+
Build ID: c8481c8a43ce2544275b2d70ef29a8b0cb157732
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
Comment 11 QA Administrators 2019-10-12 02:45:03 UTC
Dear Allan Jacobs,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug